org.eclipse.pde.ui.launcher

## Class EquinoxLaunchConfiguration

- java.lang.Object
- - org.eclipse.debug.core.model.LaunchConfigurationDelegate
  - - org.eclipse.pde.launching.AbstractPDELaunchConfiguration
    - - org.eclipse.pde.ui.launcher.AbstractPDELaunchConfiguration
      - - org.eclipse.pde.ui.launcher.EquinoxLaunchConfiguration

All Implemented Interfaces:
  ILaunchConfigurationDelegate, ILaunchConfigurationDelegate2

Deprecated.
use `EquinoxLaunchConfiguration` instead.

    @Deprecated
    public class EquinoxLaunchConfiguration
    extends AbstractPDELaunchConfiguration

A launch delegate for launching the Equinox framework

Clients may subclass and instantiate this class.

Since:
  3.2
See Also:
  `EquinoxLaunchConfiguration`

### Field Summary

Fields
`protected Map<String,IPluginModelBase>` `fAllBundles` Deprecated.

### Fields inherited from class org.eclipse.pde.launching.AbstractPDELaunchConfiguration

`fConfigDir, shouldVMAddModuleSystem`

### Fields inherited from class org.eclipse.debug.core.model.LaunchConfigurationDelegate

`complileErrorProjectPromptStatus, complileErrorPromptStatus, promptStatus, saveScopedDirtyEditors, switchToDebugPromptStatus`

### Constructor Summary

Constructors
Constructor and Description
`EquinoxLaunchConfiguration()` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`protected void` `clear(ILaunchConfiguration configuration, IProgressMonitor monitor)` Deprecated. Clears the configuration area if the area exists and that option is selected.
`String[]` `getProgramArguments(ILaunchConfiguration configuration)` Deprecated. Returns the program arguments to launch with.
`protected void` `preLaunchCheck(ILaunchConfiguration configuration, ILaunch launch, IProgressMonitor monitor)` Deprecated. Does sanity checking before launching.
`protected void` `validatePluginDependencies(ILaunchConfiguration configuration, IProgressMonitor monitor)` Deprecated. Validates inter-bundle dependencies automatically prior to launching if that option is turned on.

### Methods inherited from class org.eclipse.pde.launching.AbstractPDELaunchConfiguration

`getBuildOrder, getClasspath, getConfigDir, getEnvironment, getMainClass, getProjectsForProblemSearch, getVMArguments, getVMRunner, getVMSpecificAttributesMap, getWorkingDirectory, isLaunchProblem, launch, manageLaunch, setDefaultSourceLocator, synchronizeManifests, updatePDELaunchConfigModuleSystem, validateProjectDependencies`

### Methods inherited from class org.eclipse.debug.core.model.LaunchConfigurationDelegate

`addReferencedProjects, buildForLaunch, buildProjects, computeBuildOrder, computeReferencedBuildOrder, existsProblems, finalLaunchCheck, getBreakpoints, getLaunch, preLaunchCheck, saveBeforeLaunch`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### fAllBundles

    protected Map<String,IPluginModelBase> fAllBundles

Deprecated.

### Constructor Detail

#### EquinoxLaunchConfiguration

    public EquinoxLaunchConfiguration()

Deprecated.

### Method Detail

#### getProgramArguments

    public String[] getProgramArguments(ILaunchConfiguration configuration)
                                 throws CoreException

Deprecated.
Description copied from class: `AbstractPDELaunchConfiguration`
Returns the program arguments to launch with. This list is a combination of arguments computed by PDE based on attributes specified in the given launch configuration, followed by the program arguments that the entered directly into the launch configuration.

Overrides:
  `getProgramArguments` in class `AbstractPDELaunchConfiguration`
Parameters:
  `configuration` - launch configuration
Returns:
  the program arguments necessary for launching
Throws:
  `CoreException` - if unable to retrieve the attribute or create the necessary configuration files

#### preLaunchCheck

    protected void preLaunchCheck(ILaunchConfiguration configuration,
                                  ILaunch launch,
                                  IProgressMonitor monitor)
                           throws CoreException

Deprecated.
Description copied from class: `AbstractPDELaunchConfiguration`
Does sanity checking before launching. The criteria whether the launch should proceed or not is specific to the launch configuration type.

Overrides:
  `preLaunchCheck` in class `AbstractPDELaunchConfiguration`
Parameters:
  `configuration` - launch configuration
  `launch` - the launch object to contribute processes and debug targets to
  `monitor` - a progress monitor
Throws:
  `CoreException` - exception thrown if launch fails or canceled or if unable to retrieve attributes from the launch configuration

#### validatePluginDependencies

    protected void validatePluginDependencies(ILaunchConfiguration configuration,
                                              IProgressMonitor monitor)
                                       throws CoreException

Deprecated.
Description copied from class: `AbstractPDELaunchConfiguration`
Validates inter-bundle dependencies automatically prior to launching if that option is turned on.

Overrides:
  `validatePluginDependencies` in class `AbstractPDELaunchConfiguration`
Parameters:
  `configuration` - the launch configuration
  `monitor` - a progress monitor
Throws:
  `CoreException`

#### clear

    protected void clear(ILaunchConfiguration configuration,
                         IProgressMonitor monitor)
                  throws CoreException

Deprecated.
Clears the configuration area if the area exists and that option is selected.

Overrides:
  `clear` in class `AbstractPDELaunchConfiguration`
Parameters:
  `configuration` - the launch configuration
  `monitor` - the progress monitor
Throws:
  `CoreException` - if unable to retrieve launch attribute values
Since:
  3.3